Subject: bug#23195: closed (fixed)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 28 May 2016 12:08:02 +0000

Your bug report

#23195: GNOME help does not work

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23195: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23195
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: fixed
From: [email-masked] (宋文武)
To: [email-masked]
Date: Sat, 28 May 2016 20:07:19 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

fixed in commit de477809d773.

Subject: GNOME help does not work
From: Chris Marusich <[email-masked]>
To: [email-masked]
Date: Sat, 02 Apr 2016 14:19:17 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm using GuixSD v0.10.0 with GNOME.  I've noticed that "help" does not
work.  Specifically, I've observed the following:

* Pressing F1 in any application does not work.  Sometimes (e.g., in the
  GNOME terminal) you get an error message saying something like "There
  was an error displaying help / Operation not supported".  Sometimes
  (e.g., in icecat) nothing at all happens.

* If you run the "Help" application (you can find it in the dashboard
  under "Show Applications"), you get an error:

    Document Not Found
    The URI ‘help:gnome-help/index’ does not point to a valid page.
    Search for packages containing this document.

I know that GNOME documentation is available on the Internet, but it
would be nice if the built-in GNOME worked, too.  What do we need to do
to make it work?  How can I investigate further why it is not working?

-- 
Chris